%global plugin_name workflow-remote-loader

Summary:    Allows loading Pipeline scripts from remote locations
Name:       jenkins-plugin-%{plugin_name}
Version:    1.4
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Remote+Loader+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-remote-loader-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-workflow-aggregator

%description
The plugin simplifies the usage of the shared functionality 
in Pipeline scripts. It allows to keep the logic in remote 
files in SCMs and load them on-demand.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 1.4 - 1.4-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 1.4-1
- Update to 1.4

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Initial package
